@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  amlgen startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and AMLGEN_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\aml-gen-1.0.1.jar;%APP_HOME%\lib\scalacheck-gen-regexp_2.12-0.1.1.jar;%APP_HOME%\lib\amf-validation_2.12-3.2.1-1.jar;%APP_HOME%\lib\amf-aml_2.12-4.0.40.jar;%APP_HOME%\lib\amf-core_2.12-4.0.32.jar;%APP_HOME%\lib\scopt_2.12-3.7.1.jar;%APP_HOME%\lib\scalacheck_2.12-1.14.0.jar;%APP_HOME%\lib\scala-parser-combinators_2.12-1.0.6.jar;%APP_HOME%\lib\scala-java8-compat_2.12-0.8.0.jar;%APP_HOME%\lib\json4s-native_2.12-3.5.4.jar;%APP_HOME%\lib\json4s-core_2.12-3.5.4.jar;%APP_HOME%\lib\json4s-ast_2.12-3.5.4.jar;%APP_HOME%\lib\json4s-scalap_2.12-3.5.4.jar;%APP_HOME%\lib\scala-xml_2.12-1.0.6.jar;%APP_HOME%\lib\syaml_2.12-0.7.238.jar;%APP_HOME%\lib\scala-common_2.12-0.5.59.jar;%APP_HOME%\lib\scala-library-2.12.8.jar;%APP_HOME%\lib\shacl-1.2.0-INTERNAL.jar;%APP_HOME%\lib\slf4j-simple-1.7.12.jar;%APP_HOME%\lib\jena-arq-3.8.0.jar;%APP_HOME%\lib\jena-core-3.8.0.jar;%APP_HOME%\lib\jena-base-3.8.0.jar;%APP_HOME%\lib\commons-compress-1.18.jar;%APP_HOME%\lib\jsonld-java-0.12.0.jar;%APP_HOME%\lib\jackson-databind-2.9.8.jar;%APP_HOME%\lib\test-interface-1.0.jar;%APP_HOME%\lib\jena-shaded-guava-3.8.0.jar;%APP_HOME%\lib\libthrift-0.10.0.jar;%APP_HOME%\lib\jcl-over-slf4j-1.7.25.jar;%APP_HOME%\lib\jena-iri-3.8.0.jar;%APP_HOME%\lib\slf4j-api-1.7.25.jar;%APP_HOME%\lib\jackson-annotations-2.9.0.jar;%APP_HOME%\lib\jackson-core-2.9.8.jar;%APP_HOME%\lib\paranamer-2.8.jar;%APP_HOME%\lib\httpclient-cache-4.5.5.jar;%APP_HOME%\lib\httpclient-4.5.5.jar;%APP_HOME%\lib\commons-lang3-3.4.jar;%APP_HOME%\lib\commons-cli-1.4.jar;%APP_HOME%\lib\commons-codec-1.11.jar;%APP_HOME%\lib\httpcore-4.4.9.jar;%APP_HOME%\lib\commons-io-2.6.jar;%APP_HOME%\lib\commons-csv-1.5.jar;%APP_HOME%\lib\collection-0.7.jar;%APP_HOME%\lib\commons-logging-1.2.jar

@rem Execute amlgen
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %AMLGEN_OPTS%  -classpath "%CLASSPATH%" aml.gen.Main %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable AMLGEN_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%AMLGEN_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
